<template>
  <div>
    <div class="flex justify-between items-center uk-card uk-card-small uk-card-default uk-card-body rounded my-2">
      <label for="default" class="text-gray-700 select-none font-medium w-1/4">
        {{ $t('Search') }}
        <input id="default" type="text" name="default" :placeholder="$t('Search')"
          class="block mt-1 px-4 py-2 rounded-lg border border-gray-300 focus:outline-none focus:ring-2 focus:ring-gray-200" />
      </label>

      <button uk-toggle="target: #modal-group-1"
        class="rounded-md bg-success px-8 py-2 text-white duration-100 hover:shadow-[0px_8px_25px_-8px_#7367f0] active:shadow-none">
        {{ $t('Add') }}
      </button>
    </div>


    <!-- table -->
    <div class="bg-white p-5 pb-10 rounded mt-5">
      <EasyDataTable :header-item-class-name="headerItemClassNameFunction" theme-color="#7367f0" show-index
        buttons-pagination :headers="headers" :items="items" id="user-table">

        <template #header="data">
          {{ t(data.text) }}
        </template>

        <template #item-actions="item">
          <div class="float-right">
            <button uk-toggle="target: #listing-types"
              class="rounded-md bg-warning px-3 py-1.5 text-white duration-100 hover:opacity-90">
              <span uk-icon="icon: pencil" class="uk-icon"></span>
            </button>
            <button class="rounded-md bg-danger ml-3 px-3 py-1.5 text-white duration-100 hover:opacity-90">
              <span uk-icon="icon: trash" class="uk-icon"></span>
            </button>
          </div>
        </template>
      </EasyDataTable>
    </div>
  </div>
</template>
  
<script lang="ts" setup>

import { useI18n } from 'vue-i18n'
const { t, locale } = useI18n()

const headerItemClassNameFunction = (header): string => {
  if (header.value === "actions") return "float-right mr-12";
  return "";
};

const headers = [{
  text: "player",
  value: "player"
},
{
  text: "number",
  value: "number"
},
{
  text: "height",
  value: "indicator.height"
},
{
  text: "WEIGHT (lbs)",
  value: "indicator.weight",
  sortable: true
},
{
  text: "country",
  value: "country"
},
{ text: "actions", value: "actions" },
];

const items = [{
  player: "Stephen Curry",
  team: "GSW",
  number: 30,
  position: "G",
  indicator: {
    height: "6-2",
    weight: 185
  },
  lastAttended: "Davidson",
  country: "USA",
},
{
  player: "Lebron James",
  team: "LAL",
  number: 6,
  position: "F",
  indicator: {
    height: "6-9",
    weight: 250
  },
  lastAttended: "St. Vincent-St. Mary HS (OH)",
  country: "USA",
},
{
  player: "Kevin Durant",
  team: "BKN",
  number: 7,
  position: "F",
  indicator: {
    height: "6-10",
    weight: 240
  },
  lastAttended: "Texas-Austin",
  country: "USA",
},
{
  player: "Giannis Antetokounmpo",
  team: "MIL",
  number: 34,
  position: "F",
  indicator: {
    height: "6-11",
    weight: 242
  },
  lastAttended: "Filathlitikos",
  country: "Greece",
},
];
</script>
  
<style>
@import url(../../assets/userTable.css);
</style>